# Ergodox Host Interface

Host software for [Betalupi Ergodox](https://git.betalupi.com/Mark/QMK).

## Features:
 - Music visualizer ([here](https://git.betalupi.com/Mark/hostdox/src/branch/master/src/signal_processing))
 - Spell checking with hunspell

-------------------------------------------------

## Dependencies:
Run:
 - hunspell

Build:
 - meson (for libmpdclient)
 - ninja (for libmpdclient)
 - gcc

-------------------------------------------------

## Building

``make submodules`` to initialize git submodules \
``make all`` to build, or ``make run`` to build and run.